TMS
cURL
curl --request POST \ --url https://cloud.memsource.com/web/api2/v1/projects \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "sourceLang": "<string>", "targetLangs": [ "<string>" ], "useDefaultProjectSettings": true, "purchaseOrder": "<string>", "workflowSteps": [ { "id": "<string>" } ], "dateDue": "2023-11-07T05:31:56Z", "note": "<string>", "lqaProfiles": [ {} ], "fileHandover": true, "machineTranslateSettingsPerLangs": [ { "targetLang": "<string>" } ] } '
{ "uid": "<string>", "internalId": 123, "id": "<string>", "name": "<string>", "dateCreated": "2023-11-07T05:31:56Z", "domain": { "id": "<string>", "uid": "<string>", "name": "<string>" }, "subDomain": { "id": "<string>", "uid": "<string>", "name": "<string>" }, "owner": { "firstName": "<string>", "lastName": "<string>", "userName": "<string>", "email": "<string>", "role": "SYS_ADMIN", "id": "<string>", "uid": "<string>" }, "sourceLang": "<string>", "targetLangs": [ "<string>" ], "references": [ { "id": "<string>", "uid": "<string>", "filename": "<string>", "note": "<string>", "dateCreated": "2023-11-07T05:31:56Z", "createdBy": { "firstName": "<string>", "lastName": "<string>", "userName": "<string>", "email": "<string>", "role": "SYS_ADMIN", "id": "<string>", "uid": "<string>" } } ], "mtSettingsPerLanguageList": [ { "targetLang": "<string>", "machineTranslateSettings": { "id": "<string>", "uid": "<string>", "name": "<string>", "type": "<string>" } } ], "userRole": "<string>" }
255
Show child attributes
Default: false
4096
Lqa profiles that will be added to workflow steps
Machine Translate Settings added to project per target lang.
Created
Base projectDto
Response differs based on user's role
Was this page helpful?